Eclipse Rich Ajax Platform

## org.eclipse.rwt.service
Class SettingStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.rwt.service.SettingStoreException

All Implemented Interfaces:
  java.io.Serializable

    public class SettingStoreException

extends java.lang.Exception

This exception indicated a setting store operation failed to complete normally.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`SettingStoreException(java.lang.String message, java.lang.Throwable cause)` Constructs a `SettingStoreException` with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SettingStoreException

    public SettingStoreException(java.lang.String message,
                                 java.lang.Throwable cause)

  Constructs a `SettingStoreException` with the specified detail message and cause.

  Parameters:
    `message` - the message; may be null. Can be retrieved using `Throwable.getMessage()`.
    `cause` - the cause; may be `null` to indicate that the cause is not known. Can be retrieved using `Throwable.getCause()`.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.